ChartDirector Ver 5.0 (PHP Edition)

DrawArea.rect

Usage

rect(x1, y1, x2, y2, edgeColor, fillColor [, raisedEffect ])

Description

Draws a rectangle.

Arguments

Argument | Default | Description
--- | --- | ---
x1 | (Mandatory) | The x coordinate of one corner of the rectangle.
y1 | (Mandatory) | The y coordinate of one corner of the rectangle.
x2 | (Mandatory) | The x coordinate of the opposite corner of the rectangle.
y2 | (Mandatory) | The y coordinate of the opposite corner of the rectangle.
edgeColor | (Mandatory) | The border color. To disable border, set the edgeColor the same as the fillColor.
fillColor | (Mandatory) | The fill color. To disable filling, set the fillColor to Transparent.
raisedEffect | 0 | The 3D border width. For positive values, the border will appear raised. For negative values, the border will appear depressed. A zero value means the border will appear flat. This argument is also used to support glassEffect, softLighting and cylinderEffect effects.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.